Attribute VB_Name = "MainMod"
Option Explicit
Declare Function Shell_NotifyIcon Lib "shell32" Alias "Shell_NotifyIconA" (ByVal dwMessage As Long, pnid As NOTIFYICONDATA) As Boolean
Public Const WM_LBUTTONDBLCLK = &H203
Public Const WM_RBUTTONUP = &H205
Public Const WM_MBUTTONDBLCLK = &H209

Public Const NIM_ADD = &H0
Public Const NIM_MODIFY = &H1
Public Const NIF_MESSAGE = &H1
Public Const NIM_DELETE = &H2
Public Const NIF_ICON = &H2
Public Const NIF_TIP = &H4
Public Const WM_MOUSEMOVE = &H200
Public Type NOTIFYICONDATA
    cbSize As Long
    hWnd As Long
    uId As Long
    uFlags As Long
    ucallbackMessage As Long
    hIcon As Long
    szTip As String * 64
End Type
Public TrayIcon As NOTIFYICONDATA

Public Sub ChkPC()
Dim SW As CNetworkEnum
Dim ST As String
Dim I As Byte
    Set SW = New CNetworkEnum
    Call SW.SetResourceType(0)
    Call SW.Reset
    With FrmMessaggi
        .LstPC.Clear
        .TxtPC.Text = SW.GetServerList
        ST = Replace(.TxtPC, "\\", "")
        .TxtPC.Text = ""
        .TxtPC.Text = ST
        For I = 1 To Len(ST)
            If Mid(ST, I, 1) = "," Then
            .LstPC.AddItem (Left(ST, I - 1))
            ST = Right(ST, Len(ST) - I)
            I = 1
            End If
        Next I
    End With
End Sub

Public Sub PlaceIcon(ByRef frm As Form)
    TrayIcon.cbSize = Len(TrayIcon)
    TrayIcon.hWnd = frm.hWnd
    TrayIcon.uId = vbNull
    TrayIcon.uFlags = NIF_ICON Or NIF_TIP Or NIF_MESSAGE
    TrayIcon.ucallbackMessage = WM_MOUSEMOVE
    TrayIcon.hIcon = frm.Icon
    TrayIcon.szTip = frm.Caption + Chr(0)
    Shell_NotifyIcon 0, TrayIcon
End Sub

Public Sub DestroyIcon(frm As Form)
    TrayIcon.cbSize = Len(TrayIcon)
    TrayIcon.hWnd = frm.hWnd
    TrayIcon.uId = vbNull
    TrayIcon.uFlags = NIF_ICON Or NIF_TIP Or NIF_MESSAGE
    TrayIcon.ucallbackMessage = WM_MOUSEMOVE
    TrayIcon.hIcon = frm.Icon
    TrayIcon.szTip = Chr(0)
    Shell_NotifyIcon 2, TrayIcon
End Sub
